Perl is a high-level programming language that comes installed by default in Ubuntu. It is well known for it's use for text manipulation, CGI scripts and it's huge community. You can find any modul and many tutorials on http://www.cpan.org/

learn more… | top users | synonyms

3
votes
3answers
2k views

How can I use perl 5.12 in 10.10?

How can I use perl 5.12 in Ubuntu? There is no distribution package on Ubuntu. I have to use feature 'unicode_strings'; in my perl code, and this is available from 5.12. I try to install perl on ...
2
votes
5answers
6k views

How to batch rename files with “variables”?

I use xmbc to view my tv shows. Before I began using xmbc, I batch downloaded the first few seasons of "Bleach". What can I say, I'm an anime fan ;-). These are named: "bleachxx.mp4" where xx is the ...
11
votes
1answer
14k views

How to set locale?

After a clean Ubuntu Server install, I get the following error when running 'perl'. perl: warning: Setting locale failed. perl: warning: Please check that your locale settings: LANGUAGE = ...
2
votes
2answers
158 views

How to add space to Exec path in a Thumbnailer descrption?

I wish to use mplayer to generate thumbnails for nautilus, so I wrote a perl script as the thumbnailer named "gnome_thumbnailer_with_mplayer", and wrote a description in /usr/share/thumbnailers to ...
3
votes
1answer
249 views

yum whatprovides 'perl(Foo::Bar)' equivalent with apt or dpkg?

This is certainly related to this question, but I feel it doesn't overlap, so here we go. How can I get the functionality of the following command on Ubuntu (and/or Debian as bonus): yum whatprovides ...
2
votes
1answer
81 views

Error installing SHA

I'm trying to install SHA using the following command perl -MCPAN -e 'install Digest::SHA' I also tried using: sudo cpan 'install Digest::SHA' But i'm getting a linker error: ...
0
votes
3answers
1k views

What version of Perl is shipped with the Desktop Version of 11.10?

Kindly let me know if Perl Version 5.12.4 is included in the desktop version of Ubuntu 11.10 or does it have to be seperately downloaded? I have been to packages.ubuntu.com and found that Perl Version ...